コンテンツにスキップ

企業情報取得

ホスト

https://api.next-engine.org

エンドポイント

/api_v1_login_company/info

入力パラメータはPOST、出力パラメータはレスポンス(レスポンスボディにJSON)になります

情報取得と検索APIの違いは、以下の通りです

  • 情報取得は、対象データを全て取得します(検索条件などの指定が不可能)
  • 情報取得は、全フィールドを取得します(取得対象フィールドの指定が不可能)
パラメータ省略備考
access_tokenaccess_token取得により取得した値必須(SDKの場合不要)
refresh_tokenaccess_token取得により取得した値可能(SDKの場合不要)【指定してaccess_tokenの有効期限が切れた場合】 正常に出力パラメータが設定されaccess_tokenとrefresh_tokenが新しい値に更新されます 【省略してaccess_tokenの有効期限が切れた場合】 出力パラメータ「result」の値がredirectになります(成功時以外の出力パラメータ参照)
wait_flag1:メイン機能過負荷でも可能な限りエラーにせず実行1以外:メイン機能過負荷の場合、003002のエラーを返却可能(省略時は1以外とする)詳細はパラメータ共通事項「待機フラグについて」を参照して下さい
パラメータ名備考
resultsuccesssuccess以外の場合の出力パラメータは成功時以外の出力パラメータ参照
access_token入力パラメータで指定したaccess_token/新たに発行されたaccess_token有効なrefresh_tokenを指定してaccess_tokenの有効期限がきれた場合、新たに発行(この時点から1日有効)されたaccess_tokenになります
refresh_token入力パラメータで指定したrefresh_token/新たに発行されたrefresh_tokenaccess_tokenが新しく発行された場合、新たに発行(この時点から3日有効)されたrefresh_tokenになります
access_token_end_date入力パラメータで指定したaccess_token/新たに発行されたaccess_tokenの有効期限日時
refresh_token_end_date入力パラメータで指定したrefresh_token/新たに発行されたrefresh_tokenの有効期限日時
count検索結果の件数
data検索結果の連想配列(JSONのオブジェクト型)検索対象の全フィールドを返却します
項目名フィールド名データ型備考
企業名company_name文字列型
企業名カナcompany_kana文字列型
郵便番号company_zip_code文字列型
住所1company_address1文字列型
住所2company_address2文字列型
部署名company_post_name文字列型
担当者名company_pic_name文字列型
メールアドレスcompany_mail_address文字列型
電話番号company_phone文字列型
FAXcompany_fax文字列型
企業URLcompany_url文字列型
締日company_closing_day文字列型
最終締日company_last_closing_date日時型
端数処理桁数company_fraction_number_digit数値型
端数処理区分company_fraction_id文字列型
端数処理名company_fraction_name文字列型
税抜き・税込み区分company_tax_id文字列型
税抜き・税込み名company_tax_name文字列型
一時利用停止フラグcompany_temporarily_suspend_flag文字列型
有効日company_available_date日時型
無効日company_unavailable_date日時型
通知先メールアドレスcompany_notice_mail_address文字列型
仕入れタイプcompany_buying_type文字列型
バッチタイプcompany_batch_type文字列型
クーポンコードcompany_coupon_code文字列型
企業区分company_type_id文字列型
IPアドレスcompany_ip_address文字列型
明細ソートcompany_row_order数値型
メイン機能企業IDcompany_id文字列型アプリを起動した企業の「メイン機能単位」で一意になるID。1つの企業が複数のメイン機能を所有することがあります。
ネクストエンジン企業IDcompany_ne_id文字列型アプリを起動した企業の一意になるID。
メイン機能ホストcompany_host文字列型
現在の税率company_now_tax_percent数値型10%の場合、10
値引きの優先適用先company_primary_tax_rate_for_discount数値型NULL:按分10:10%8:8%0:0%
適格請求書発行事業者の登録番号company_invoice_registration_number文字列型
ヒット商品お知らせ期間company_hit_syohin_alert_hour数値型0の場合、お知らせしない
ヒット商品お知らせ個数company_hit_syohin_alert_quantity数値型全商品に対して有効です。商品マスタに商品ごとの設定がある場合は、そちらが優先されます。
削除フラグcompany_deleted_flag文字列型
作成日company_creation_date日時型
最終更新日company_last_modified_date日時型
作成担当者IDcompany_creator_id数値型
作成担当者名company_creator_name文字列型
最終更新者IDcompany_last_modified_by_id数値型
最終更新者名company_last_modified_by_name文字列型

サンプル

リクエスト

Terminal window
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'uid=xxxxxxxxxxxxxx&state=xxxxxxxxxxxxxx' "https://api.next-engine.org/api_v1_login_company/info"

レスポンス

{
"result": "success",
"count": "1",
"data": [
{
"company_name": "xxxxxxxx",
"company_kana": "xxxxxxxx",
"company_zip_code": "1500013",
"company_address1": "xxxxxxxx",
"company_address2": "",
"company_post_name": null,
"company_pic_name": "xxxxxxxx",
"company_mail_address": "xxxx@xxxx.xxx",
"company_phone": "0361231231",
"company_fax": "",
"company_url": "",
"company_closing_day": null,
"company_last_closing_date": null,
"company_fraction_number_digit": "0",
"company_fraction_id": "1",
"company_fraction_name": "xxxxxxxx",
"company_tax_id": "0",
"company_tax_name": "xxxxxxxx",
"company_temporarily_suspend_flag": "",
"company_available_date": "2016-12-19 14:02:20",
"company_unavailable_date": "0000-00-00 00:00:00",
"company_notice_mail_address": null,
"company_buying_type": "0",
"company_batch_type": "U",
"company_coupon_code": "",
"company_type_id": "",
"company_ip_address": null,
"company_row_order": "0",
"company_now_tax_percent": "8",
"company_hit_syohin_alert_hour": "0",
"company_hit_syohin_alert_quantity": "0",
"company_primary_tax_rate_for_discount": "10",
"company_invoice_registration_number": "T1234567890123",
"company_creation_date": "2017-03-16 19:16:56",
"company_last_modified_date": "2017-03-16 19:16:56",
"company_creator_id": "0",
"company_creator_name": "System",
"company_last_modified_by_id": "0",
"company_last_modified_by_name": "System",
"company_last_modified_null_safe_date": "2017-03-16 19:16:56",
"company_last_modified_by_null_safe_id": "0",
"company_last_modified_by_null_safe_name": "System",
"company_id": "xxxxxxxx",
"company_ne_id": "xxxxxxxx",
"company_host": "xxxxxxxx",
"company_app_header": "xxxxxxxx"
}
],
"access_token": "xxxxxxxx",
"access_token_end_date": "2017-04-13 18:24:53",
"refresh_token": "xxxxxxxx",
"refresh_token_end_date": "2017-04-15 18:24:53"
}

エンドポイント固有のエラーコードはありません。 共通エラーコードは メッセージコード一覧 を参照してください。

同じカテゴリの他のエンドポイント (認証)

Section titled “同じカテゴリの他のエンドポイント (認証)”